# $Revision: 1.28.4.2 $, $Date: 2007/03/28 19:39:08 $
#
#TODO
# -  udev rules
#
#INFO
# - Development zd112 is dormant. Please use zd1211rw instead,
#   see http://zd1211.ath.cx/wiki/DriverRewrite
#
# Conditional build:
%bcond_without	dist_kernel	# allow non-distribution kernel
%bcond_without	kernel		# don't build kernel modules
%bcond_without	up		# don't build UP module
%bcond_without	smp		# don't build SMP module
%bcond_with	verbose		# verbose build (V=1)
#
%define		_zd1211_ver	0.0.2
%define		_zd1211_name	zd1211-driver-r85
%define		_rel		4
Summary:	Linux driver for USB WLAN cards based on zd1211
Summary(pl):	Sterownik dla Linuksa do kart bezprzewodowych USB opartych na ukadzie zd1211
Name:		zd1211
Version:	%{_zd1211_ver}
Release:	%{_rel}@%{_kernel_ver_str}
License:	GPL v2
Group:		Base/Kernel
Source0:	http://zd1211.ath.cx/download/%{_zd1211_name}.tgz
# Source0-md5:	51691a15137fbc35515a630d45d03352
Patch0:		kernel-net-%{name}-build.patch
URL:		http://zd1211.ath.cx/
%{?with_dist_kernel:BuildRequires:	kernel%{_alt_kernel}-module-build >= 3:2.6.7}
BuildRequires:	rpmbuild(macros) >= 1.330
Requires(post,postun):	/sbin/depmod
Requires:	zd1211-firmware
ExcludeArch:	sparc sparc64
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a Linux driver for WLAN cards based on zd1211.

%description -l pl
Sterownik dla Linuksa do kart bezprzewodowych opartych na ukadzie
zd1211.

%description -l de
Linux Kernel Treiber fr WLAN Netzwerkkarten zd1211.

%package -n kernel%{_alt_kernel}-net-%{name}
Summary:	Linux kernel module for WLAN cards based on zd1211 
Summary(de):	Linux Kernel Modul fr WLAN Netzwerkkarten zd1211
Summary(pl):	Modu jdra Linuksa dla kart WLAN na zd1211
Release:	%{_rel}@%{_kernel_ver_str}
Group:		Base/Kernel
%{?with_dist_kernel:%requires_releq_kernel_up}
Requires(post,postun):	/sbin/depmod
Requires:	module-init-tools >= 3.2.2-2
Provides:	%{name}

%description -n kernel%{_alt_kernel}-net-%{name}
This package contains Linux kernel drivers for the WLAN cards based on zd1211.

%description -n kernel%{_alt_kernel}-net-%{name} -l de
Dieses Paket enthlt Linux Kernel Treiber fr WLAN Netzwerkkarten zd1211.

%description -n kernel%{_alt_kernel}-net-%{name} -l pl
Ten pakiet zawiera sterowniki jdra Linuksa dla kart WLAN na zd1211.

%package -n kernel%{_alt_kernel}-smp-net-%{name}
Summary:	Linux SMP kernel module for the WLAN cards based on zd1211.
Summary(de):	Linux SMP Kernel Modul fr WLAN Netzwerkkarten zd1211
Summary(pl):	Modu jdra Linuksa SMP dla kart WLAN na zd1211
Release:	%{_rel}@%{_kernel_ver_str}
Group:		Base/Kernel
%{?with_dist_kernel:%requires_releq_kernel_smp}
Requires(post,postun):	/sbin/depmod
Requires:	module-init-tools >= 3.2.2-2
Provides:	%{name}

%description -n kernel%{_alt_kernel}-smp-net-%{name}
This package contains Linux SMP kernel drivers for the WLAN cards based on zd1211.

%description -n kernel%{_alt_kernel}-smp-net-%{name} -l de
Dieses Paket enthlt Linux SMP Kernel Treiber fr WLAN Netzwerkkarten zd1211.

%description -n kernel%{_alt_kernel}-smp-net-%{name} -l pl
Ten pakiet zawiera sterowniki jdra Linuksa SMP dla kart WLAN opartych na ukadzie zd1211.

%prep
%setup -q -n %{_zd1211_name}
%patch0 -p1

%build
%build_kernel_modules -m zd1211

%install
rm -rf $RPM_BUILD_ROOT
%install_kernel_modules -m zd1211 -d /kernel/drivers/usb/net

%clean
rm -rf $RPM_BUILD_ROOT

%post	-n kernel%{_alt_kernel}-net-%{name}
%depmod	%{_kernel_ver}

%postun	-n kernel%{_alt_kernel}-net-%{name}
%depmod	%{_kernel_ver}

%post	-n kernel%{_alt_kernel}-smp-net-%{name}
%depmod	%{_kernel_ver}smp

%postun	-n kernel%{_alt_kernel}-smp-net-%{name}
%depmod	%{_kernel_ver}smp

%if %{with up} || %{without dist_kernel}
%files -n kernel%{_alt_kernel}-net-%{name}
%defattr(644,root,root,755)
/lib/modules/%{_kernel_ver}/kernel/drivers/usb/net/*.ko*
#%{_sysconfdir}/modprobe.d/%{_kernel_ver}/%{name}.conf
%endif

%if %{with smp} && %{with dist_kernel}
%files -n kernel%{_alt_kernel}-smp-net-%{name}
%defattr(644,root,root,755)
/lib/modules/%{_kernel_ver}smp/kernel/drivers/usb/net/*.ko*
#%{_sysconfdir}/modprobe.d/%{_kernel_ver}smp/%{name}.conf
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kernel-net-zd1211.spec,v $
Revision 1.28.4.2  2007/03/28 19:39:08  glen
- rel 4 (kernel 2.6.16.45)

Revision 1.28.4.1  2007/03/20 00:18:34  wolvverine
- convert to iso-8859-2

Revision 1.28  2007/03/19 14:55:02  wolvverine
- cosmetics

Revision 1.27  2007/03/19 14:46:49  glen
- on one line

Revision 1.26  2007/03/19 14:40:23  wolvverine
- add R

Revision 1.25  2007/03/19 14:37:25  wolvverine
- exclude sparc

Revision 1.24  2007/03/17 20:31:06  wolvverine
- release 3

Revision 1.23  2007/03/17 20:27:08  wolvverine
- up to r85
- for kernel >= 2.6.18 is zd1211rw

Revision 1.22  2007/03/03 14:22:26  wolvverine
- ups

Revision 1.21  2007/03/03 13:54:39  wolvverine
- revert charset crap

Revision 1.20  2007/03/03 11:59:51  wolvverine
- use %build-kernel-modules

Revision 1.19  2007/02/13 08:06:37  glen
- tabs in preamble

Revision 1.18  2007/02/12 00:49:00  baggins
- converted to UTF-8

Revision 1.17  2006/09/06 13:48:33  sparky
- mass atack: -j1 for make scripts

Revision 1.16  2006/09/04 09:06:52  wolvverine
- correct last commit

Revision 1.15  2006/09/04 01:03:06  wolvverine
- TODO

Revision 1.14  2006/09/03 20:38:06  wolvverine
- up to snap 83 (09-Jul-2006)

Revision 1.13  2006/05/03 22:02:07  areq
- snap 21-Apr-2006

Revision 1.12  2006/04/12 12:15:40  glen
- add kernel epoch, adapterized

Revision 1.11  2005/10/09 09:44:00  arekm
- builds

Revision 1.10  2005/10/09 08:38:33  arekm
- started work on new ver

Revision 1.9  2005/09/15 18:25:05  sparky
- prepared for kernel >= 2.6.13: link Module.symvers

Revision 1.8  2005/08/11 14:05:23  areq
- fix install dir

Revision 1.7  2005/06/18 12:44:44  arekm
- use gnu awk

Revision 1.6  2005/06/18 12:23:19  arekm
- fix build

Revision 1.5  2005/05/26 00:08:19  arekm
- module renamed

Revision 1.4  2005/05/26 00:01:42  arekm
- snap from 20050526

Revision 1.3  2005/04/12 18:55:03  arekm
- correct md5

Revision 1.2  2005/04/12 18:50:22  arekm
- builds

Revision 1.1  2005/04/12 18:23:23  arekm
- initial pld release

